#ifndef PP_MOPS_H
#define PP_MOPS_H

#include <pslib.h>

#define IN_EXTNAME "SkyChip.psf"                // Extension name for data in input
#define OBSERVATORY_CODE 566                    // IAU Observatory Code
#define OUT_EXTNAME "MOPS_TRANSIENT_DETECTIONS" // Extension name for data in output

// Configuration data
typedef struct {
    psString detections;                // Detections filename
    float zp;                           // Magnitude zero point
    psString output;                    // Output filename
} ppMopsData;

// Allocator
ppMopsData *ppMopsDataAlloc(void);



/// Return version
psString ppMopsVersion(void);

/// Return source
psString ppMopsSource(void);

/// Return detailed version information
psString ppMopsVersionLong(void);

/// Put version into header
bool ppMopsVersionHeader(psMetadata *header);

/// Print version information
void ppMopsVersionPrint(void);

#endif
